diff -Naur '--exclude=Makefile.in' '--exclude=aclocal.m4' '--exclude=config' '--exclude=config.h.in' '--exclude=configure' davfs2.old/ChangeLog davfs2/ChangeLog
--- davfs2.old/ChangeLog	2010-04-30 19:17:15.000000000 +0000
+++ davfs2/ChangeLog	2011-04-03 10:33:42.000000000 +0000
@@ -1,5 +1,10 @@
 ChangeLog for davfs2
 --------------------
+2011-04-03 Werner Baumann (werner.baumann@onlinehome.de)
+    * mount_davfs.c, mount_davfs.h:
+      Remove check for someone elses home directory
+      (sr #107641).
+
 
 2010-04-30 Werner Baumann (werner.baumann@onlinehome.de)
     * Released version 1.4.6
diff -Naur '--exclude=Makefile.in' '--exclude=aclocal.m4' '--exclude=config' '--exclude=config.h.in' '--exclude=configure' davfs2.old/etc/davfs2.conf davfs2/etc/davfs2.conf
--- davfs2.old/etc/davfs2.conf	2009-10-18 08:07:49.000000000 +0000
+++ davfs2/etc/davfs2.conf	2011-04-03 10:28:40.000000000 +0000
@@ -1,4 +1,4 @@
-# davfs2 configuration file 2009-04-12
+# davfs2 configuration file 2011-04-03
 # version 9
 # ------------------------------------
 
@@ -21,7 +21,6 @@
 
 # dav_user        davfs2            # system wide config file only
 # dav_group       davfs2            # system wide config file only
-# ignore_home                       # system wide config file only
 # kernel_fs       fuse
 # buf_size        16                 # KiByte
 
diff -Naur '--exclude=Makefile.in' '--exclude=aclocal.m4' '--exclude=config' '--exclude=config.h.in' '--exclude=configure' davfs2.old/src/mount_davfs.c davfs2/src/mount_davfs.c
--- davfs2.old/src/mount_davfs.c	2010-01-21 18:50:15.000000000 +0000
+++ davfs2/src/mount_davfs.c	2011-04-03 10:28:40.000000000 +0000
@@ -188,9 +188,6 @@
 static void
 get_options(dav_args *args, char *option);
 
-static int
-ignore_home(const char *name, const char *ignore_list);
-
 static dav_args *
 new_args(void);
 
@@ -777,31 +774,6 @@
     if (access(mpoint, F_OK) != 0)
         error(EXIT_FAILURE, 0, _("mount point %s does not exist"), mpoint);
 
-    if (getuid() != 0) {
-        pw = getpwuid(getuid());
-        if (!pw)
-            error(EXIT_FAILURE, errno, _("can't read user data base"));
-        if (!pw->pw_dir)
-            error(EXIT_FAILURE, 0, _("can't read user data base"));
-        if(strstr(mpoint, pw->pw_dir) != mpoint) {
-            setpwent();
-            pw = getpwent();
-            while (pw) {
-                if (!pw->pw_dir || !pw->pw_name)
-                    error(EXIT_FAILURE, 0, _("can't read user data base"));
-                if (pw->pw_uid != args->uid && strlen(pw->pw_dir) > 0
-                        && strstr(mpoint, pw->pw_dir) == mpoint
-                        && !ignore_home(pw->pw_name, args->ignore_home))
-                    error(EXIT_FAILURE, 0,
-                          _("%s is the home directory of user %s.\n"
-                          "You can't mount into another users home directory"),
-                          pw->pw_dir, pw->pw_name);
-                pw = getpwent();
-            }
-            endpwent();
-        }
-    }
-
     if (args->debug & DAV_DBG_CONFIG)
         syslog(LOG_MAKEPRI(LOG_DAEMON, LOG_DEBUG), "mountpoint: %s", mpoint);
 }
@@ -1418,8 +1390,6 @@
         free(args->dav_user);
     if (args->dav_group)
         free(args->dav_group);
-    if (args->ignore_home)
-        free(args->ignore_home);
     if (args->conf)
         free(args->conf);
     if (args->add_mopts)
@@ -1693,26 +1663,6 @@
 }
 
 
-/* Checks whether name ist in ignore_list.
-   name        : name of a system user. Must not be NULL.
-   ignore_list : comma seperated list of system users. May be NULL.
-   return value : 1 if name is in ignore_list, 0 otherwise. */
-static int
-ignore_home(const char *name, const char *ignore_list)
-{
-    if (!ignore_list)
-        return 0;
-    char * s = strstr(ignore_list, name);
-    if (!s)
-        return 0;
-    if (s != ignore_list && *(s - 1) != ',')
-        return 0;
-    if (*(s + strlen(name)) != '\0' && *(s + strlen(name)) != ',')
-        return 0;
-    return 1;
-}
-
-
 /* Allocates a new dav_args-structure and initializes it.
    All members are set to reasonable defaults. */
 static dav_args *
@@ -1732,7 +1682,6 @@
 
     args->dav_user = ne_strdup(DAV_USER);
     args->dav_group = ne_strdup(DAV_GROUP);
-    args->ignore_home = NULL;
 
     if (getuid() != 0) {
         args->conf = ne_concat(user_dir, "/", DAV_CONFIG, NULL);
@@ -1848,8 +1797,6 @@
     syslog(LOG_MAKEPRI(LOG_DAEMON, LOG_DEBUG),
            "  dav_group: %s", args->dav_group);
     syslog(LOG_MAKEPRI(LOG_DAEMON, LOG_DEBUG),
-           "  ignore_home: %s", args->ignore_home);
-    syslog(LOG_MAKEPRI(LOG_DAEMON, LOG_DEBUG),
            "  conf: %s", args->conf);
     syslog(LOG_MAKEPRI(LOG_DAEMON, LOG_DEBUG),
            "  user: %i", args->user);
@@ -2175,10 +2122,6 @@
                 if (args->dav_group)
                     free(args->dav_group);
                 args->dav_group = ne_strdup(parmv[1]); 
-            } else if (system && strcmp(parmv[0], "ignore_home") == 0) {
-                if (args->ignore_home)
-                    free(args->ignore_home);
-                args->ignore_home = ne_strdup(parmv[1]); 
             } else if (strcmp(parmv[0], "kernel_fs") == 0) {
                 if (args->kernel_fs)
                     free(args->kernel_fs);
diff -Naur '--exclude=Makefile.in' '--exclude=aclocal.m4' '--exclude=config' '--exclude=config.h.in' '--exclude=configure' davfs2.old/src/mount_davfs.h davfs2/src/mount_davfs.h
--- davfs2.old/src/mount_davfs.h	2009-10-17 20:42:04.000000000 +0000
+++ davfs2/src/mount_davfs.h	2011-04-03 10:28:40.000000000 +0000
@@ -33,7 +33,6 @@
 typedef struct {
     char *dav_user;           /* System config file */
     char *dav_group;          /* System config file */
-    char *ignore_home;        /* System config file */
     char *conf;               /* Command line */
     /* Mount options */
     int user;                 /* Command line */
